MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029507Open CASCADE[OCCT] OCCT:Visualizationpublic2018-02-14 12:432018-06-29 21:21
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029507: Visualization, TKOpenGl - uninitialized class field OpenGl_FrameBuffer::myIsOwnDepth
DescriptionPatch for 0027925 introduced a new class field OpenGl_FrameBuffer::myIsOwnDepth, which is left uninitialized within constructor.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0027925closedbugmaster Visualization - implement order-independent transparency algorithm within rasterization rendering 

-  Notes
(0073986)
git (administrator)
2018-02-14 16:12

Branch CR29507 has been created by kgv.

SHA-1: b6dbd77b4d1c27b2cb7a88bc2f03f825e610208c


Detailed log of new commits:

Author: kgv
Date: Wed Feb 14 16:10:48 2018 +0300

    0029507: Visualization, TKOpenGl - uninitialized class field OpenGl_FrameBuffer::myIsOwnDepth
(0073988)
kgv (developer)
2018-02-14 16:13

Please take the patch, regression testing is not needed.
(0074290)
git (administrator)
2018-03-06 15:50

Branch CR29507 has been deleted by kgv.

SHA-1: b6dbd77b4d1c27b2cb7a88bc2f03f825e610208c

- Related Changesets
occt: master 12d6e155
Timestamp: 2018-02-14 13:10:48
Author: kgv
Committer: apn
Details ] Diff ]
0029507: Visualization, TKOpenGl - uninitialized class field OpenGl_FrameBuffer::myIsOwnDepth
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-02-14 12:43 kgv New Issue
2018-02-14 12:43 kgv Assigned To => kgv
2018-02-14 12:43 kgv Relationship added child of 0027925
2018-02-14 16:12 git Note Added: 0073986
2018-02-14 16:13 kgv Note Added: 0073988
2018-02-14 16:13 kgv Assigned To kgv => bugmaster
2018-02-14 16:13 kgv Status new => resolved
2018-02-14 16:13 kgv Status resolved => reviewed
2018-02-14 16:49 apn Test case number => Not needed
2018-02-14 16:49 apn Status reviewed => tested
2018-02-18 13:00 apn Changeset attached => occt master 12d6e155
2018-02-18 13:00 apn Assigned To bugmaster => apn
2018-02-18 13:00 apn Status tested => verified
2018-02-18 13:00 apn Resolution open => fixed
2018-03-06 15:50 git Note Added: 0074290
2018-06-29 21:16 user533 Fixed in Version => 7.3.0
2018-06-29 21:21 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker